org.eclipse.microprofile.reactive.streams.operators.tck.api

## Class ReactiveStreamsApiVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.api.ReactiveStreamsApiVerification

    public class ReactiveStreamsApiVerification
    extends java.lang.Object

Factory for tests that verify the API itself without dependence on an SPI implementation.

These tests serve not only to test the API provided by the MicroProfile API project, but also to test clean room implementations of the API, that is, implementations that don't depend on the MicroProfile API artifact.

### Constructor Summary

Constructors
Constructor and Description
`ReactiveStreamsApiVerification(ReactiveStreamsFactory rs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.Object>` `allTests()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReactiveStreamsApiVerification

    public ReactiveStreamsApiVerification(ReactiveStreamsFactory rs)

### Method Detail

#### allTests

    public java.util.List<java.lang.Object> allTests()